var fs = require('fs-extra')
var path = require('path')
var isbinaryfile = require('isbinaryfile')
var pathModule = require('path')

module.exports = {
  absolutePath: absolutePath,
  relativePath: relativePath,
  walkSync: walkSync
}

function absolutePath (path) {
  if (path.indexOf(process.argv[2]) !== 0) {
    path = pathModule.resolve(process.argv[2], path)
  }
  return path
}

function relativePath (path) {
  var relative = pathModule.relative(process.argv[2], path)
  return relative
}

function walkSync (dir, filelist) {
  var files = fs.readdirSync(dir)
  filelist = filelist || {}
  files.forEach(function (file) {
    var subElement = path.join(dir, file)
    if (fs.statSync(subElement).isDirectory()) {
      filelist = walkSync(subElement, filelist)
    } else {
      var relative = relativePath(subElement)
      filelist[relative] = isbinaryfile.sync(subElement)
    }
  })
  return filelist
}
